stages:
  - build
  - test
  - deploy

services:
  - docker:dind

variables:
  DOCKER_HOST: tcp://docker:2375
  DOCKER_TLS_CERTDIR: ""
  IMAGE_TAG: $CI_REGISTRY_IMAGE:$CI_COMMIT_REF_SLUG

before_script:
  - docker info

build:
  image: docker:19.03.12
  stage: build
  script:
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - docker build -t $IMAGE_TAG .
    - docker push $IMAGE_TAG

test:
  image: docker:19.03.12
  stage: test
  script:
    - echo "Running tests..."
    # Добавьте здесь команды для условного тестирования приложения

deploy:
  image: docker:19.03.12
  stage: deploy
  script:
    - echo "Deploying the application..."
    # Добавьте здесь команды для развертывания приложения
  environment:
    name: production
    url: http://yourserver.com
